長期メモリになる単一のチャットを記録します。プロジェクトスコープは ルート ID パス パラメーターによって保持され、 組織はそのプロジェクトから派生します。呼び出し元は、エンドユーザーを識別するために user_id (必須)と任意の Agent_id を提供します。
POST /api/v1 /projects/{id}/memory/returns
curl \
--request POST 'https://agentengine.mongodb.com/api/v1/projects/{id}/memory/turns' \
--header "Authorization: $API_KEY" \
--header "Content-Type: application/json" \
--data '{
"agent_id": "string",
"content": "string",
"idempotency_key": "string",
"is_error": true,
"metadata": {},
"model_name": "string",
"role": "string",
"session_id": "string",
"tool_call_id": "string",
"tool_calls": [
{}
],
"tool_name": "string",
"user_id": "string"
}'
リクエスト例
{
"agent_id": "string",
"content": "string",
"idempotency_key": "string",
"is_error": true,
"metadata": {},
"model_name": "string",
"role": "string",
"session_id": "string",
"tool_call_id": "string",
"tool_calls": [
{}
],
"tool_name": "string",
"user_id": "string"
}
応答の例(406)
操作は利用できません
{
"detail": "This operation is not available in API version 2026-09-20-preview.",
"error": 406,
"errorCode": "OPERATION_NOT_IN_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
{
"detail": "This operation supports text/event-stream, which the Accept header excludes. Remove unsupported media-type parameters or accept this type with a positive q value.",
"error": 406,
"errorCode": "UNACCEPTABLE_MEDIA_TYPE",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
{
"detail": "The requested API version is not supported. Supported versions: 2026-09-20-preview.",
"error": 406,
"errorCode": "UNSUPPORTED_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
応答の例(406)
{
"detail": "This operation is not available in API version 2026-09-20-preview.",
"error": 406,
"errorCode": "OPERATION_NOT_IN_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
応答の例(200)
{}
応答の例(200)
{}
応答の例(201)
{}
応答の例(201)
{}
応答の例(400)
{
"code": "string",
"error": "string",
"success": true
}
応答の例(400)
{
"code": "string",
"error": "string",
"success": true
}
応答の例(401)
{
"code": "string",
"error": "string",
"success": true
}
応答の例(401)
{
"code": "string",
"error": "string",
"success": true
}
応答の例(403)
{
"code": "string",
"error": "string",
"success": true
}
応答の例(403)
{
"code": "string",
"error": "string",
"success": true
}
応答の例(500)
{
"code": "string",
"error": "string",
"success": true
}
応答の例(500)
{
"code": "string",
"error": "string",
"success": true
}
応答の例(502)
{
"code": "string",
"error": "string",
"success": true
}
応答の例(502)
{
"code": "string",
"error": "string",
"success": true
}